library(stockassessment)
load("run/model.RData")
FC<-list()
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,1,1,1), label="SQ all years", processNoiseF = FALSE, lagR = TRUE, savesim=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,1,NA,1), fval=c(NA,NA,0.000001, NA), label="SQ then zero", processNoiseF = FALSE, lagR = TRUE, savesim=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,1,NA,1), fval=c(NA,NA,0.176, NA), label="Management plan (F0.1)", processNoiseF = FALSE, lagR = TRUE, savesim=TRUE)
save(FC, file="run/forecast.RData")
